Content Library Item File list

Content Library Item File list

Lists all of the files that are stored within a given library item.

Returns an authorization error if you do not have all of the privileges described as follows:

  • The resource com.vmware.content.library.Item referenced by the parameter libraryItemId requires System.Read.
Request
URI
GET
https://{host}/api/content/library/item/{libraryItemId}/file
COPY
Path Parameters
string
libraryItemId
Required

Identifier of the library item whose files should be listed.

The parameter must be an identifier for the resource type: com.vmware.content.library.Item.


Authentication
This operation uses the following authentication methods.
Responses
200

The list of all of the files that are stored within the given library item.

[
    {
        "checksum_info": {
            "algorithm": "string",
            "checksum": "string"
        },
        "name": "string",
        "size": 0,
        "cached": false,
        "version": "string",
        "file_download_endpoint": "string"
    }
]
array of object
Optional

The Content Library Item File Info schema provides information about a file in Content Library Service storage.

A file is an actual stored object for a library item. An item will have zero files initially, but one or more can be uploaded to the item.


400

if Content Library Item File Info.file_download_endpoint URI cannot be constructed for the file due to unsupported characters in file name.

This error was added in vSphere API 9.0.0.0.

Returns Vapi Std Errors Unsupported of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

404

if libraryItemId refers to a library item that does not exist.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/content/library/item/{libraryItemId}/file